package discord

import (
	"context"

	"github.com/stretchr/testify/mock"
)

type GuildServiceMock struct {
	mock.Mock
}

func (gs *GuildServiceMock) GetGuild(ctx context.Context, guildID string) (IGuild, error) {
	args := gs.Called(ctx, guildID)

	if args.Get(0) == nil {
		return nil, args.Error(1)
	}

	return args.Get(0).(IGuild), args.Error(1)
}
